accumulo-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Josh Elser (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (ACCUMULO-1419) Make hadoop2 the default
Date Mon, 21 Oct 2013 16:28:42 GMT

    [ https://issues.apache.org/jira/browse/ACCUMULO-1419?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13800773#comment-13800773
] 

Josh Elser edited comment on ACCUMULO-1419 at 10/21/13 4:27 PM:
----------------------------------------------------------------

bq. Now that Hadoop 2.2.0 is out, I'd like to discuss making it the default version for 1.6.0.

+1 for defaulting to hadoop-2.2.0 as the default for 1.6.0. The release of 2.2.0 as GA is
a sign that the Hadoop community has finalized APIs and thoroughly tested the components;
they call it "stable". As such, I feel like we should follow suit in specifying our dependencies.


was (Author: elserj):
bq. Now that Hadoop 2.2.0 is out, I'd like to discuss making it the default version for 1.6.0.

+1 for defaulting to hadoop-2.2.0 as the default for 1.6.0

> Make hadoop2 the default
> ------------------------
>
>                 Key: ACCUMULO-1419
>                 URL: https://issues.apache.org/jira/browse/ACCUMULO-1419
>             Project: Accumulo
>          Issue Type: New Feature
>            Reporter: Christopher Tubbs
>              Labels: feature, proposal
>             Fix For: 1.6.0
>
>         Attachments: ACCUMULO-1419.1.patch
>
>
> This is a proposed feature for 1.6.
> There's two ways we could do this:
>  # Continue to support both hadoop1 and hadoop2, but switch the profiles, so hadoop2
is the default, and this is what we use to build binary artifacts for release voting.
>  # Make hadoop2 required and get rid of the dependency profiles.



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message